org.apache.sling.hapi.sightly

## Class TypeView

- java.lang.Object
- - org.apache.sling.hapi.sightly.TypeView

All Implemented Interfaces:
  org.apache.sling.scripting.sightly.pojo.Use

    @ProviderType
    public class TypeView
    extends Object
    implements org.apache.sling.scripting.sightly.pojo.Use

### Constructor Summary

Constructors
Constructor and Description
`TypeView()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate()`
`String` `getDescription()`
`boolean` `getHasProps()`
`List<String>` `getParameters()`
`String` `getParentFqdn()`
`String` `getParentUrl()`
`List<HApiProperty>` `getProps()`
`String` `getTitle()`
`void` `init(Bindings bindings)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeView

    public TypeView()

### Method Detail

#### init

    public void init(Bindings bindings)

Specified by:
  `init` in interface `org.apache.sling.scripting.sightly.pojo.Use`

#### activate

    public void activate()
                  throws Exception

Throws:
  `Exception`

#### getTitle

    public String getTitle()

#### getDescription

    public String getDescription()

#### getParentUrl

    public String getParentUrl()

#### getParentFqdn

    public String getParentFqdn()

#### getParameters

    public List<String> getParameters()

#### getProps

    public List<HApiProperty> getProps()

#### getHasProps

    public boolean getHasProps()